local Henhouse = ...

Henhouse:dofile("scripts/compHenHouse.lua")

-- Register prefab nodes (currently only one core model)
Henhouse:registerAssetId("models/henhouse.fbx/Prefab/henhousePart", "PV3_HENHOUSE_PREFAB")

Henhouse:register({
--Dclare que l'objet que l'on cre appartient  la class BUILDING
	DataType = "BUILDING",
--Dclare la classe de l'objet que l'on cre
	Id = "PV3_HENHOUSE",
	Name = "PV3_HENHOUSE_NAME",
	Description = "PV3_HENHOUSE_DESC",
--Renseigne le champ Building Type. cela va permettre de classer l'objet dans les menus
	BuildingType = "GENERAL",
--renseigne le champ BuildingPartList de l'objet que l'on cre un peu plus loin	
	BuildingPartSetList = {
		{
			Name = "PV3_HENHOUSE_NAME",
                	BuildingPartList = { "PV3_HENHOUSE_PART" }
                }
        }
--Renseigne le champ Nombre de villageois requis pour la construction. Ici inactiv pour le test
	--VillagerRequired = { Status = "NEWCOMER", Quantity = 9 }
})

-- Register the shoemaker workplace part
Henhouse:register({
	DataType = "BUILDING_PART",
	Id = "PV3_HENHOUSE_PART",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PV3_HENHOUSE_PREFAB"
	},
--Ca c'est pour dclarer le visuel de construction si il y en a un !
	ConstructionVisual = "PV3_HENHOUSE_PREFAB",
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 0 }
		},
		RessourcesNeeded = { -- List of RESOURCE_QUANTITY_PAIR
			{ Resource = "WOOD", Quantity = 5 }
		}
	},
	AssetBuildingFunction = "FUNCTION_PV3_HENHOUSE"
})

Henhouse:register({
		DataType = "BUILDING_FUNCTION_WORKPLACE",
                Id = "FUNCTION_PV3_HENHOUSE",
		WorkerCapacity = 1,
                RelatedJob = { Job = "PV3_HEN_BREEDER", Behavior = "WORK_BEHAVIOR" },
                InputInventoryCapacity = {
			{ Resource = "WHEAT", Quantity = 2 }
                },
                ResourceListNeeded = {
                	{ Resource = "WHEAT", Quantity = 1 }
                },
                ResourceProduced = {
			{ Resource = "PV3_EGG", Quantity = 4 }
                }
})

-- Register grass clearing components

Henhouse:registerPrefabComponent("models/henhouse.fbx/Prefab/henhousePart", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = {5, 5}
})

Henhouse:registerPrefabComponent("models/henhouse.fbx/Prefab/henhousePart", {
	DataType = "COMP_BUILDING_PART",
	HasBuildingZone = true,
	BuildingZone = { 4, 4 }
})

--------------------------------------------------------------------------
function registerHen(_henNumber)
    Henhouse:registerPrefabComponent("models/henhouse.fbx/Prefab/henhousePart/poule" .. _henNumber, {
	DataType = "PV3_HENHOUSE_COMP",
	Enabled = true
    })
    Henhouse:registerPrefabComponent("models/henhouse.fbx/Prefab/henhousePart/poule" .. _henNumber, {
	DataType = "COMP_GROUNDED"
    })
end

registerHen(1)
registerHen(2)
registerHen(3)